def sum_even_digits(number):
    dsum = 0 # digit sum
    if number < 10:
        if number % 2 == 0:
            dsum = number

    while number >= 10:
        # extract the last digit
        digit = number % 10
        if digit in [0,2,4,6,8]:
            dsum = dsum + digit

        # divide by 10 (rounded down) to remove the last digit
        number = number // 10

    return dsum

## test cases added during lecture
assert sum_even_digits(0) == 0
assert sum_even_digits(1) == 0
assert sum_even_digits(2) == 2
assert sum_even_digits(10) == 0
assert sum_even_digits(5317) == 0
assert sum_even_digits(2624) == 14
